Bug 216280 - "RTSP" streams wrongly reclaimed by "totem" plugin
"RTSP" streams wrongly reclaimed by "totem" plugin
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-11-18 13:40 EST by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-26 12:57:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2006-11-18 13:40:25 EST
Description of problem:
Having both "totem-mozplugin" and "RealPlayer" plugin installed on
my system, "totem" wrongly picks up the request from

  'rtsp://real.mdcs.dtag.de/zdf/zdf/061117_foltermord_h19_h.rm' .

The stock "totem" plugin cannot handle this format as the following
error message confirms:

  "Totem could not play  '...'. RTSP streams cannot be played yet."

However, a working "RealPlayer" plugin is installed and should be
used instead.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install "totem-mozplugin".
2. Install "RealPlayer".
3. Go to the link specified above.
Actual results:
"totem-plugin" reports that it is unable to deal with "RTSP".

Expected results:
The "RTSP" stream is played correctly by means of "nphelix.so".

Additional info:
"mozplugger-1.7.3-3.1" is also installed but uninstalling it
does not change anything. According to "about:plugins",
"audio/x-pn-realaudio-plugin" with suffix "rpm" is handled by
-two- different plugins, namely "libtotem-complex-plugin.so"
-and- "nphelix.so". Furthermore, there are several "RealPlayer"
related entries in the "mozplugger" section, including for the
"rm" file type: "audio/x-pn-realaudio", "audio/x-realaudio",
and "application/vnd.rn-realmedia". When I open a local audio
"rm" file in "epiphany", the "RealPlayer" is launched
(externally) but otherwise correctly.
Uninstalling "totem-mozplugin" makes "RealPlayer" to set in as
Comment 1 Bastien Nocera 2006-11-27 05:28:30 EST
If there aren't any src plugins for RTSP in the GStreamer packages we ship, we
might want to remove/disable the Complex plugin shipped with Totem.
Comment 2 Joachim Frieben 2006-11-28 04:37:20 EST
But how does this compare to the information at the "gstreamer" project
site reproduced below ["libgstrtsp.so" is actually installed as part of


— transfer data via RTSP

Plugin Information
filename  libgstrtsp.so
version   0.10.4
run-time  license LGPL
package   GStreamer Good Plug-ins source release
origin    Unknown package origin
rtpdec    Accepts raw RTP and RTCP packets and sends them forward
rtspsrc   Receive data over the network via RTSP (RFC 2326)
Comment 3 Bastien Nocera 2006-11-28 05:26:36 EST
(In reply to comment #2)
> But how does this compare to the information at the "gstreamer" project
> site reproduced below ["libgstrtsp.so" is actually installed as part of
> "gstreamer-plugins-good-0.10.4-2.fc7"]?
> rtpdec    Accepts raw RTP and RTCP packets and sends them forward
> rtspsrc   Receive data over the network via RTSP (RFC 2326)

That's the hint. Real are using a completely broken, uncompatible version of
RTSP, ie. they're not following the RFC for their implementation.
Comment 4 Matthias Clasen 2006-11-28 08:32:17 EST
Bastian, what is the "Complex plugin" shipped with totem ?
Comment 5 Bastien Nocera 2006-11-28 08:59:58 EST
It's a "Real" compatible browser plugin.

GMP -> Windows Media
Narrowspace -> Quicktime
Complex -> Real
MullY -> DivX
Basic -> Totem

We can remove it if we can't playback those streams.
Comment 7 Matthias Clasen 2006-11-29 12:59:40 EST
So the complex plugin alone is not enough to playback real streams ?
Comment 8 Bastien Nocera 2006-11-29 13:34:09 EST
No, you need the RTSP plugin (or PNM for older Real server setups), as well as
the usual decoders for Real Audio and Real Video.

It might be a good idea to split up the plugin flavours in different packages,
and only make the Basic and GMP plugins installed by default, as those will
usually use streams for which we have decoders.
Comment 9 Alexander Larsson 2006-11-30 06:00:45 EST
Bastien: That sounds like a good idea. 
totem-mozplugins and totem-mozplugin-extras?
What is totem-mozilla-viewer used for/by?
Comment 10 Bastien Nocera 2006-11-30 06:14:46 EST
The viewer is the actual worker playing the videos. Without it, no use.
(The playback is out-of-process to avoid bringing down the browser when we get a

totem-browser-plugin with the basic one and the viewer in there, and
totem-browser-plugin-gmp, etc. for the other ones.
Comment 11 Bastien Nocera 2007-01-16 07:39:57 EST
This is a similar problem to bug 221120, where mp3 was advertised as working,
but wasn't. The obvious fix would be for system administrators (or users) to be
able to disable specific mime-types/plugins in the browser configuration.

See also https://bugzilla.mozilla.org/show_bug.cgi?id=19118
Comment 12 Bastien Nocera 2007-01-26 12:57:53 EST
I've forwarded this to the GNOME bug tracker:

So that a Totem specific solution can be found. It would only be in release
after GNOME 2.18, as it would require UI changes (and probably changes in the
control-center for example).

Note You need to log in before you can comment on or make changes to this bug.